| Irrlicht 3D Engine |

Classes | Namespaces | Enumerations | Variables
IGUIButton.h File Reference
`#include "IGUIElement.h"`

Go to the source code of this file.

## Classes

- class irr::gui::IGUIButton
    GUI Button interface. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::gui

    The gui namespace contains useful classes for easy creation of a graphical user interface.

- namespace irr::video

    The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

- enum irr::gui::EGUI_BUTTON_STATE {
  irr::gui::EGBS_BUTTON_UP = 0, irr::gui::EGBS_BUTTON_DOWN, irr::gui::EGBS_BUTTON_MOUSE_OVER, irr::gui::EGBS_BUTTON_MOUSE_OFF,
  irr::gui::EGBS_BUTTON_FOCUSED, irr::gui::EGBS_BUTTON_NOT_FOCUSED, irr::gui::EGBS_COUNT
  }

## Variables

- const c8 *const irr::gui::GUIButtonStateNames []
    Names for gui button state icons.